Scripts para instalar ARToolKit, Collada DOM, OpenSceneGraph y osgART

He creado unos scripts y parches para que la instalación de todas estas librerías sean menos “dolorosa”. Los parches solucionan los problemas de compatibilidad de OpenSceneGraph con Ubuntu 11.10 y 12.04 como ya expliqué en otro post y unos pequeños bugs en osgART y ARToolKit (tambien se puede añadir soporte para V4L2 a este, creditos a Kameda Yoshinari por esto). Todavía me falta probarlos en las versiones de Ubuntu aunque si tienes algún problema son bastante fáciles de entender y los podrás arreglar sin problemas (estaría bien que me dijeras qué has cambiado para arreglarlos y así los actualice para que todos los tengamos disponibles ;)). Si encuentras algún error o alguna manera de mejorarlos no dudes en escribirme aquí o en mi página de Github. Puedes descargarte todos los ficheros de aquí:

https://github.com/enekochan/installation-scripts

Tienes que bajarte todos los ficheros y ponerlos en la misma ruta para ejecutar la instalación. El orden correcto para ejecutarlos es:

  1. installARToolKit.sh
  2. installCollada.sh
  3. installOpenSceneGraph.sh
  4. installosgART.sh

Una vez tengas todas las librerías instaladas podrás usar osgART con ficheros Collada (.dae) de la misma manera que hago yo en esta imagen:

No te preocupes que pronto explicaré (con código fuente por supuesto) cómo se hace.

ACTUALIZACIÓN: Puedes encontrar aquí el código fuente para esta aplicación de realidad aumentada.

You might also like

ARSlides v1.0: Aplicación de presentación de diapositivas en realidad aumentada
Me alegra informaros de que (por fin) he publicado el código de la aplicación en realidad aumentada...

osgART 2.0 RC3 con OpenSceneGraph 2.9.7 o posterior (incluyendo 3.0.0)
Hace bastante tiempo tuve problemas para usar osgART 2.0 RC3 con OpenSceneGraph 2.9.7 o cualquier versión...

Instalar OpenSceneGraph 2.9.6 con soporte para Collada en Ubuntu 12.04
Aunque normalmente uso OpenSceneGraph 2.8.3 para trabajar con osgART 2.0 RC3 también se puede usar OpenSceneGraph...

Instalar osgART 2.0 RC3 con OpenSceneGraph 2.8.3 o 2.9.6 y soporte para Collada en Ubuntu 12.04
Antes de instalar osgART tenemos que instalar ARToolKit, collada-dom y OpenSceneGraph así que echar...

Dejar un comentario?

0 Comentarios.

Deje un comentario

Este sitio usa Akismet para reducir el spam. Aprende cómo se procesan los datos de tus comentarios.